Subject: bug#32835: icecat show many warning and don't display correctly

From: Yoshinori Arai <[email-masked]>
Date: Mon, 28 Jan 2019 10:31:29 +0900

On Sun, Jan 27, 2019 at 04:54:10PM +0100, Andreas Enge wrote:
> Hello,
> 
> On Fri, Jan 18, 2019 at 07:57:40AM -0800, Quiliro Ordonez wrote:
> > El 2019-01-07 21:41, 荒井吉則 escribió:
> > > It's working. 
> > > 
> > > export
> > > XDG_DATA_DIRS="$HOME/.guix-profile/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"
> > 
> > icecat &
> > does not work.
> > 
> > export
> > XDG_DATA_DIRS="$HOME/.guix-profile/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"
> > && icecat &
> > works perfectly.
> > 
> > Must something be modified on the software definition? This is not
> > something the user should change.
> 
> this seems to be the same problem as bug #32835, which I am cc-ing.
> Do we need to add search paths? Or wrap a binary?
> 
> Andreas
> 
> 
I think it's no problem if 'source "$HOME/.guix-profile/etc/profile"'
is written in user's bash_profile.

I'm afraid my response is out of your point.